<div>
    <h2>
        <span jhiTranslate="mpmApp.detailBahan.home.title">Detail Bahans</span>
        <button class="btn btn-primary float-right jh-create-entity create-detail-bahan" [routerLink]="['/', { outlets: { popup: ['detail-bahan-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.detailBahan.home.createLabel">
            Create new Detail Bahan
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.detailBahan.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="detailBahans">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nobbm"><span jhiTranslate="mpmApp.detailBahan.nobbm">Nobbm</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="kdsupp"><span jhiTranslate="mpmApp.detailBahan.kdsupp">Kdsupp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="kdbahan"><span jhiTranslate="mpmApp.detailBahan.kdbahan">Kdbahan</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty"><span jhiTranslate="mpmApp.detailBahan.qty">Qty</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nobatch"><span jhiTranslate="mpmApp.detailBahan.nobatch">Nobatch</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_exp"><span jhiTranslate="mpmApp.detailBahan.tgl_exp">Tgl Exp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_hal"><span jhiTranslate="mpmApp.detailBahan.tgl_hal">Tgl Hal</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="tgl_msk"><span jhiTranslate="mpmApp.detailBahan.tgl_msk">Tgl Msk</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="lokasi"><span jhiTranslate="mpmApp.detailBahan.lokasi">Lokasi</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nolpm"><span jhiTranslate="mpmApp.detailBahan.nolpm">Nolpm</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="status"><span jhiTranslate="mpmApp.detailBahan.status">Status</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty_rls"><span jhiTranslate="mpmApp.detailBahan.qty_rls">Qty Rls</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty_tlk"><span jhiTranslate="mpmApp.detailBahan.qty_tlk">Qty Tlk</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty_pakai"><span jhiTranslate="mpmApp.detailBahan.qty_pakai">Qty Pakai</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty_karantina"><span jhiTranslate="mpmApp.detailBahan.qty_karantina">Qty Karantina</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="kdbahan_lama"><span jhiTranslate="mpmApp.detailBahan.kdbahan_lama">Kdbahan Lama</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nolpm2"><span jhiTranslate="mpmApp.detailBahan.nolpm2">Nolpm 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="status2"><span jhiTranslate="mpmApp.detailBahan.status2">Status 2</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="qty_sisa"><span jhiTranslate="mpmApp.detailBahan.qty_sisa">Qty Sisa</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let detailBahan of detailBahans ;trackBy: trackId">
                <td><a [routerLink]="['../detail-bahan', detailBahan.id ]">{{detailBahan.id}}</a></td>
                <td>{{detailBahan.nobbm}}</td>
                <td>{{detailBahan.kdsupp}}</td>
                <td>{{detailBahan.kdbahan}}</td>
                <td>{{detailBahan.qty}}</td>
                <td>{{detailBahan.nobatch}}</td>
                <td>{{detailBahan.tgl_exp | date:'medium'}}</td>
                <td>{{detailBahan.tgl_hal | date:'medium'}}</td>
                <td>{{detailBahan.tgl_msk | date:'medium'}}</td>
                <td>{{detailBahan.lokasi}}</td>
                <td>{{detailBahan.nolpm}}</td>
                <td>{{detailBahan.status}}</td>
                <td>{{detailBahan.qty_rls}}</td>
                <td>{{detailBahan.qty_tlk}}</td>
                <td>{{detailBahan.qty_pakai}}</td>
                <td>{{detailBahan.qty_karantina}}</td>
                <td>{{detailBahan.kdbahan_lama}}</td>
                <td>{{detailBahan.nolpm2}}</td>
                <td>{{detailBahan.status2}}</td>
                <td>{{detailBahan.qty_sisa}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../detail-bahan', detailBahan.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-bahan/'+ detailBahan.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'detail-bahan/'+ detailBahan.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="detailBahans && detailBahans.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
